Subject: Re: [OT?] Executing Git from bash script invoked by cron

From: Ramkumar Ramachandra <[email-masked]>
Date: Mon, 28 Jun 2010 23:43:24 +0200

Hi Johannes,

Johannes Schneider writes:
> I try to mirror my local git repository.
> Therefore I created a bash script. This script, executed form the
> command line, works fine.
> 
> But the same script executed by cron, does not work. Git push does
> simply nothing. No output, no push, nothing.
> But git log and git --version works...

Perhaps you're not executing that `git push` as the same user, and
therefore there's some problem reading the config files to determine
where to push to? I really can't tell much else without some output.

-- Ram